de.esprit.netsuite.server.batch

## Class AbstractDatabaseBatchTask<S extends ServerContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.task.AbstractAsyncExecutable<C>
      - - de.esprit.appsuite.task.AbstractAsyncTask<S>
        - - de.esprit.netsuite.rtask.AbstractServerTask<S>
          - - de.esprit.netsuite.rtask.AbstractRemoteTask<S>
            - - de.esprit.netsuite.server.batch.AbstractBatchTask<S>
              - - de.esprit.netsuite.server.batch.AbstractDatabaseBatchTask<S>

- All Implemented Interfaces:
    ApplicationObject<S>, AsyncExecutable<S>, AsyncTask<S>, CancellableTask, LocalCancellableTask, TaskMonitorSupport, TaskIdHolder, SimpleLogSupport, Dumpable, Executable, RemoteCancellableTask, RemoteTask<S>, ServerObject<S>, java.lang.Runnable

      public abstract class AbstractDatabaseBatchTask<S extends ServerContext>
      extends AbstractBatchTask<S>

  This ServerProcess is supposed to work with DBObjects
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `childTaskRef, isTestMode, monitorController, resultRef, stateFlag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDatabaseBatchTask(S serverCtx, BatchTaskConfigEntry cfg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyProgress(DBObject[] recs)`
    `void` | `notifyProgress(DBObject[] recs, int i)`
    `void` | `sendDoneRecords(DBObject[] recs)`
    `void` | `sendFoundRecords(DBObject[] recs, SqlCondition cond)`
    `void` | `sendReadMasterRecords(DBObject rec)`
    `void` | `sendReadReferencingRecords(DBObject rec)`

    - ### Methods inherited from class de.esprit.netsuite.server.batch.AbstractBatchTask

      `createTaskMonitor, doOnCancel, doOnFinish, doOnStart, equals, getCurrentFuture, getProcessConfigEntry, hashCode, lockDataSource, notifyProgress, notifyProgress, releaseLock, resetToDefaultDataSource, resetToPreviousDataSource, selectDataSource, setConfigEntry, submitForDirectExecution, submitForScheduledExecution, toString`

    - ### Methods inherited from class de.esprit.netsuite.rtask.AbstractRemoteTask

      `addMonitor, cancel, createRunStateFlag, createTaskId, getKillerSessionId, getOwnerSessionId, getRunStateFlag, getSessionId, getTaskId, setSessionId, submit, submit`

    - ### Methods inherited from class de.esprit.netsuite.rtask.AbstractServerTask

      `executeSubTask, getServerContext`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractAsyncTask

      `awaitFinished, awaitFinished, awaitStarted, cancel, deregisterTask, doOnSuccess, executeAsync, executeChildTask, executeChildTask, getMaxChildTasks, getPriority, getProcessingDuration, getStartTime, getStopWatch, handleFinish, handleStart, handleSuccess, isRegisterForCancel, isRunning, notifyProceeded, registerTask, releaseStart, run, setCurrentFuture, setMaxChildTasks, setPriority, setRegisterForCancel, setReleaseTimeout, submitInternal, wasSucceeded`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `checkCancelled, checkForErrorAndRethrow, clearMonitors, doOnFailure, execute, executeSubTask, getError, getMaxProgressSteps, getMonitorCount, getMonitors, getName, getProgressStepCount, getResult, getType, handleCancellation, handleFailure, hasError, hasMonitor, isCancellable, registerTaskStateChange, removeMonitor, resetProgress, setCancellable, setLogLevel, setMaxProgressSteps, setMonitor, setName, setName, setResult, setRunStateFlag, setTaskId, setType, shouldFireMonitor, sleepChecked, wasCancelled`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.task.AsyncTask

      `awaitFinished, awaitFinished, awaitStarted, executeChildTask, executeChildTask, getError, getProcessingDuration, hasError, isRegisterForCancel, isRunning, releaseStart, setName, setReleaseTimeout`

    - ### Methods inherited from interface de.esprit.appsuite.task.AsyncExecutable

      `checkCancelled, checkForErrorAndRethrow, executeAsync, executeSubTask, getName, getResult, getType, handleCancellation, handleFailure, isCancellable, notifyProceeded, setCancellable, setName, setResult, setRunStateFlag, sleepChecked`

    - ### Methods inherited from interface de.esprit.appsuite.launch.ApplicationObject

      `getApplicationContext`

    - ### Methods inherited from interface de.esprit.common.type.Executable

      `execute`

    - ### Methods inherited from interface de.esprit.appsuite.task.monitor.TaskMonitorSupport

      `clearMonitors, getMonitorCount, getMonitors, hasMonitor, removeMonitor`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

    - ### Methods inherited from interface de.esprit.appsuite.task.LocalCancellableTask

      `cancel`

    - ### Methods inherited from interface de.esprit.appsuite.task.CancellableTask

      `wasCancelled`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

- - ### Constructor Detail

    - #### AbstractDatabaseBatchTask

          public AbstractDatabaseBatchTask(S serverCtx,
                                   BatchTaskConfigEntry cfg)

  - ### Method Detail

    - #### notifyProgress

          public void notifyProgress(DBObject[] recs)

    - #### notifyProgress

          public void notifyProgress(DBObject[] recs,
                            int i)

    - #### sendFoundRecords

          public void sendFoundRecords(DBObject[] recs,
                              SqlCondition cond)

    - #### sendDoneRecords

          public void sendDoneRecords(DBObject[] recs)

    - #### sendReadReferencingRecords

          public void sendReadReferencingRecords(DBObject rec)

    - #### sendReadMasterRecords

          public void sendReadMasterRecords(DBObject rec)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.